Pkgcheck Warnings

  • All Versions
    • PotentialStable
      slot(0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, sparc, x86 ], potential: [ ~hppa ]
    • RubyCompatUpdate
      USE_RUBY update available: ruby33
    • EmptyGlobalAssignment
      line 23: empty global assignment: IUSE=""
    • UnstableOnly
      for arch: [ hppa ], all versions are unstable: [ 1.15.3, 1.15.5, 1.16.2, 1.16.3, 1.16.4 ]
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 1.16.4
    • EmptyGlobalAssignment
      line 23: empty global assignment: IUSE=""
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 1.16.3, 1.16.4
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 1.16.2, 1.16.3, 1.16.4
    • StableRequest
      slot(0) no change in 67 days for unstable keywords: [ ~amd64, ~arm, ~arm64, ~ppc, ~ppc64, ~sparc, ~x86 ]
  • 1.16.4
    • 1.16.3
      • RedundantVersion
        slot(0) keywords are overshadowed by version: 1.16.4
    • 1.16.2
      • RedundantVersion
        slot(0) keywords are overshadowed by versions: 1.16.3, 1.16.4
      • StableRequest
        slot(0) no change in 67 days for unstable keywords: [ ~amd64, ~arm, ~arm64, ~ppc, ~ppc64, ~sparc, ~x86 ]
    • 1.15.5
      • EmptyGlobalAssignment
        line 23: empty global assignment: IUSE=""
      • RedundantVersion
        slot(0) keywords are overshadowed by versions: 1.16.2, 1.16.3, 1.16.4
    • 1.15.3
      • PotentialStable
        slot(0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, sparc, x86 ], potential: [ ~hppa ]
      • RubyCompatUpdate
        USE_RUBY update available: ruby33
      • EmptyGlobalAssignment
        line 23: empty global assignment: IUSE=""

    Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.